
Name: 	    	gdb-%{CROSS_ARCH}
Version:    	6.6
Release:    	1mdk

Source:     	gdb-%version.tar.bz2

Summary:	cross gdb stuff for %{CROSS_ARCH}.
Group:		Development
License:	GPL
Provides:       %name = %version-%release

Buildroot:	%{_tmppath}/%name-%version-root

%define		arch_name %{CROSS_ARCH}-linux
%define		build_dir gdb-%version-%{arch_name}.build


%description
This package provides a gdb for %{CROSS_ARCH} cross debugging.

%prep
%setup -q -n gdb-%version

%setup -q -c -T -n %build_dir

%build

../gdb-%version/configure			\
	--enable-languages=c			\
	--disable-nls				\
	--disable-shared			\
	--disable-threads			\
	--disable-werror			\
	--disable-libmudflap			\
	--disable-libada			\
	--disable-libssp			\
	--without-headers			\
	--with-newlib				\
	--with-gnu-as				\
	--with-gnu-ld				\
        --prefix=/usr				\
        --mandir=%_mandir			\
        --infodir=%_infodir			\
	--libdir=%_libdir			\
	--libexecdir=%_libexecdir		\
        --target=%arch_name

#	--with-as=%_bindir/%{arch_name}-as	\
#	--with-ld=%_bindir/%{arch_name}-ld	\

%make

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

find  $RPM_BUILD_ROOT/%_bindir -type f | xargs strip -s

rm -f $RPM_BUILD_ROOT/%_mandir/man1/*
rm -f $RPM_BUILD_ROOT/%_mandir/man7/*
rm -f $RPM_BUILD_ROOT/%_infodir/*
rm -f $RPM_BUILD_ROOT/usr/src/debug
rm -f $RPM_BUILD_ROOT/%_libdir/libiberty.a


%clean
rm -rf ../gdb-%version
rm -rf ../%build_dir
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*sim.a
%{_bindir}/*


%changelog
* Sat Jan 20 2007 Herbert Ptzl <herbert@13thfloor.at> 1mdk
- initial version

